function $AdfRestXhrFactory$$() {
}
$goog$exportSymbol$$("AdfRestXhrFactory", $AdfRestXhrFactory$$);
$AdfObject$$.$createSubclass$($AdfRestXhrFactory$$);
$AdfRestXhrFactory$$.$_instances$ = [];
$AdfRestXhrFactory$$.$URL_KEY$ = "url";
$goog$exportSymbol$$("AdfRestXhrFactory.URL_KEY", $AdfRestXhrFactory$$.$URL_KEY$);
$AdfRestXhrFactory$$.$CLIENT_ID_LIST_KEY$ = "clientIdList";
$goog$exportSymbol$$("AdfRestXhrFactory.CLIENT_ID_LIST_KEY", $AdfRestXhrFactory$$.$CLIENT_ID_LIST_KEY$);
$AdfRestXhrFactory$$.register = function $$AdfRestXhrFactory$$$register$($instance$$10$$) {
  $AdfRestXhrFactory$$.$_instances$.push($instance$$10$$);
};
$goog$exportSymbol$$("AdfRestXhrFactory.register", $AdfRestXhrFactory$$.register);
$AdfRestXhrFactory$$.prototype.$getXhr$ = function $$AdfRestXhrFactory$$$$$getXhr$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfRestXhrFactory.prototype.getXhr", {$getXhr$:$AdfRestXhrFactory$$.prototype.$getXhr$});
$AdfRestXhrFactory$$.$__getXhr$ = function $$AdfRestXhrFactory$$$$__getXhr$$($xhr$$1$$, $properties$$5$$) {
  for (var $factoryInstances$$ = $AdfRestXhrFactory$$.$_instances$, $i$$46$$ = 0, $length$$28$$ = $factoryInstances$$.length;$i$$46$$ < $length$$28$$;$i$$46$$++) {
    var $newXhr$$ = $factoryInstances$$[$i$$46$$].$getXhr$($xhr$$1$$, $properties$$5$$);
    if ($newXhr$$) {
      return $AdfAssert$$.$assertFunction$($newXhr$$.setRequestHeader), $AdfAssert$$.$assertFunction$($newXhr$$.send), $AdfAssert$$.$assertNumber$($newXhr$$.readyState), $newXhr$$;
    }
  }
  return $xhr$$1$$;
};
